@echo off
rem /////////////////////////////////////////////////////////////////////////////
rem //                   PROPRIETARY RIGHTS STATEMENT
rem // The contents of this file represent confidential information that is the
rem // proprietary property of SilverStream Software, LLC.  Viewing or use of
rem // this information is prohibited without the express written consent of
rem // SilverStream Software, Inc. Removal of this PROPRIETARY RIGHTS STATEMENT
rem // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
rem /////////////////////////////////////////////////////////////////////////////

rem --
rem --  exteNd Composer Patch utility
rem --


echo Please make sure Composer Designer and Director is not running if patching Designer, 
echo or Composer Server is not running if patching Server
echo Note: java must be in your path
pause

rem --
rem -- Change directory and patch jars in place
rem --

rem -- relative locations of target jar files (order of test below can be affected by these)
set designerJarLoc=..\..\Designer\lib
set serverJarLoc=..\..\Composer\lib

:server
rem -- patch Server
if not exist %serverJarLoc% goto designer
echo Applying Tds Server patch ...
call xcPatch.bat %serverJarLoc% xcs-3270.jar xcPatchTds50s.zip xcs-3270-pre161B.jar
call xcPatch.bat %serverJarLoc% xcs-5250.jar xcPatchTds50s.zip xcs-5250-pre161B.jar
goto finished

:designer
rem -- patch Designer
if not exist %designerJarLoc% goto nopatch
echo Applying Tds Designer patch ...
call xcPatch.bat %designerJarLoc% xcd-3270.jar xcPatchTds50d.zip xcd-3270-pre161B.jar
call xcPatch.bat %designerJarLoc% xcd-5250.jar xcPatchTds50d.zip xcd-5250-pre161B.jar
goto finished

:nopatch
rem -- patch files probably in wrong place.
echo "Patch not applied, unable to find Composer jar(s). Please consult readme.txt for instructions on applying this patch."

:finished
set designerJarLoc=
set serverJarLoc=

